Quote secure CFPB EcoLetters
curl --request GET \
--url https://api.creditor.younegotiate.com/communications/cfpb-validation-letter/{fileUploadHistory}/quote \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/communications/cfpb-validation-letter/{fileUploadHistory}/quote"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/communications/cfpb-validation-letter/{fileUploadHistory}/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"file_upload_history_id": 123,
"consumer_count": 123,
"e_letter_fee": 123,
"cost": 123,
"with_qr_code_default": true
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}Quote secure CFPB EcoLetters
Return the secure EcoLetter modal quote for a CFPB batch, including active consumer count, per-letter fee, total cost, and the default QR-code selection.
GET
/
communications
/
cfpb-validation-letter
/
{fileUploadHistory}
/
quote
Quote secure CFPB EcoLetters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
CFPB import file upload history ID.
Response
Secure EcoLetter quote returned.
Show child attributes
Show child attributes
Last modified on July 20, 2026
Was this page helpful?
⌘I

